%{?nodejs_find_provides_and_requires}

%global packagename ebnf-parser
%global enable_tests 1
%global bootstrap 1

Name:		nodejs-ebnf-parser
Version:	0.1.10
Release:	1%{?dist}
Summary:	A parser for BNF and EBNF grammars used by jison

License:	MIT
URL:		https://github.com/zaach/ebnf-parser.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE-MIT.txt
# upstream license file requeset at https://github.com/zaach/ebnf-parser/issues/9

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
%if 0%{?bootstrap}
# Nothing extra needed during the bootstrap phase
%else
BuildRequires:	npm(jison)
%endif
#BuildRequires:
%endif

Requires:	nodejs

%description
A parser for BNF and EBNF grammars used by jison


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
%if 0%{?bootstrap}
# nothing to to!
%else
%{_bindir}/jison bnf.y bnf.l
mv bnf.js parser.js
%{_bindir}/jison ebnf.y
mv ebnf.js transform-parser.js
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%if !0%{?bootstrap}
%check
%nodejs_symlink_deps --check
%__nodejs tests/all-tests.js
%endif
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Nov 24 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.10-1
- Initial packaging
- Turn on bootstrap mode for building npm(jison)
